SystemOrganization addCategory: #ConfigurationOfXMLPullParser!

Object subclass: #ConfigurationOfXMLPullParser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfXMLPullParser'!

!ConfigurationOfXMLPullParser commentStamp: '<historical>' prior: 0!
(ConfigurationOfXMLPullParser project version: #stable) load
 !

!ConfigurationOfXMLPullParser class methodsFor: 'development support' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfXMLPullParser class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfXMLPullParser class methodsFor: 'catalog' stamp: 'StephaneDucasse 10/2/2013 08:40'!
catalogChangeLog
		
 ^ '
-14/08/2013 - First public release.
[[[
(ConfigurationOfSoup project version: #''stable'') load
(ConfigurationOfSoup project version: ''1.0'') load
]]]
'
	
	! !

!ConfigurationOfXMLPullParser class methodsFor: 'catalog' stamp: 'StephaneDucasse 10/2/2013 08:30'!
catalogDescription

^ 
'XMLPullParser is a robust parser for XML.'! !

!ConfigurationOfXMLPullParser class methodsFor: 'catalog' stamp: 'StephaneDucasse 10/2/2013 08:39'!
catalogKeyClassesAndExample

	^ 'It is composed of some keys classes: 
		
- ==XMLPullParser== is the main entry point.
		
- ==XMLPullParserTest== is the main entry point.

The best way to get started is to get a  of html elements using ==XMLPullParser class>>parse: == as follows:

[[[ 
	| parser |
	parser := XMLPullParser parse: ''<document><!![CDATA[This is a test ]]></document>''.
	self assert: parser isStartDocument.
	self assert: (parser next isStartTag: ''document'').
	self assert: parser next isText.
	self assert: parser text = ''This is a test ''.
	self assert: (parser isEndTag: ''document'').
	self assert: parser next isEndDocument
]]]
	
Tests of the ==XMLPullParserTest== class are the place to start to learn the API.'! !

!ConfigurationOfXMLPullParser class methodsFor: 'catalog' stamp: 'StephaneDucasse 10/2/2013 08:31'!
catalogKeywords
	^ #(XML web parser)
	! !

!ConfigurationOfXMLPullParser class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfXMLPullParser class methodsFor: 'private' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfXMLPullParser class methodsFor: 'metacello tool support' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfXMLPullParser class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfXMLPullParser class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfXMLPullParser class methodsFor: 'loading' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfXMLPullParser class methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
project

	^self new project! !

!ConfigurationOfXMLPullParser class methodsFor: 'development support' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfXMLPullParser methodsFor: 'baselines' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.smalltalkhub.com/mc/hernan/XMLPullParser/main'.
		spec package: 'XMLPullParser'.
		spec group: 'default' with: #('XMLPullParser' ). ].
! !

!ConfigurationOfXMLPullParser methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfXMLPullParser methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 8/14/2013 08:30'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfXMLPullParser methodsFor: 'accessing' stamp: 'HernanMoralesDurand 8/14/2013 08:29'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfXMLPullParser methodsFor: 'symbolic versions' stamp: 'HernanMoralesDurand 8/14/2013 08:30'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfXMLPullParser methodsFor: 'versions' stamp: 'HernanMoralesDurand 8/14/2013 08:30'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ''.
		spec author: 'HernanMoralesDurand'.
		spec timestamp: '8/14/2013 08:29'.
		spec package: 'XMLPullParser' with: 'XMLPullParser-HernanMoralesDurand.13'. ].
! !
